Package weka.estimators

# Class CheckEstimator.AttrTypes

java.lang.Object
weka.estimators.CheckEstimator.AttrTypes

All Implemented Interfaces:
  `RevisionHandler`

Enclosing class:
  `CheckEstimator`

public static class CheckEstimator.AttrTypes extends Object implements RevisionHandler
class that contains info about the attribute types the estimator can estimate estimator work on one attribute only

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.
`Vector`
`getVectorOfAttrTypes()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getVectorOfAttrTypes

public Vector getVectorOfAttrTypes()

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision